/**
 * [OElove] (C)2010-2099 oelove.com biz
 * Email: service@phpcoo.com ,phpcoo@qq.com
 * This is NOT a freeware, use is subject to license terms
 * $ Last update 2020/03/10 by CL $
*/
var _inst_oepage = null; //当前页面对象 通用缓存分页列表
$(function(){
    //初始化
    function OEPage() {
        this.pull_box_id = "pull_box";
        this.pull_data_id = "pull_data";
        this.scroll = null;
        this.params = "";
        this._this_dialog = null;
        this.slide_time = 200;
        
        this.pullUpLoad();
        this.pullDownRefresh();
    }
    
    OEPage.prototype = {
        
        //上拉分页
        pullUpLoad:function() {
            var _this = this;
            _this.scroll = OEUI.pullUpLoad({
                el: document.getElementById(_this.pull_box_id),
                pullUp: function (pullUp) {
                    var $page = $("#page").val();
                    pullUpLoad({
                        pullUp: pullUp,
                        page:$page,
                        pulldata:_this.pull_data_id
                    });
                }
            });
        },
        
        //下拉刷新
        pullDownRefresh:function() {
            var _this = this;
            OEUI.pullDownRefresh({
                el: document.getElementById(_this.pull_box_id),
                refresh: function (pullDown) {
                    pullDownRefresh({
                        scroll: _this.scroll,
                        pullDown: pullDown,
                        pulldata:_this.pull_data_id,
                        page:"1"
                    });
                }
            });
        }
        
    }
    _inst_oepage = new OEPage();
});